---
deprecated: true
search:
  tags:
    - Files
    - PATCH
seo:
  description: >-
    Updates file metadata (title, type, visibility) and… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/files/{file_id} endpoint in the Management
    API.
sidebar:
  label: Update File
  badge: PATCH
title: Update File
type: openapi-operation
---
Updates file metadata (title, type, visibility) and optionally replaces the file content in storage. If the file content is updated, the old file is replaced in Cloudflare R2. Triggers product update events for all items using this file.
Deprecated: use PATCH /api/v2/&#123;team_slug&#125;/&#123;app_slug&#125;/dam/files instead.

`PATCH /api/v1/{team_slug}/{app_slug}/files/{file_id}`

**Deprecated.**

**Request body** (`application/x-www-form-urlencoded`)

- `title` (string) — File title
- `type` (string) — File type
- `file` (any) — File file to upload

Request body example:

```json
{
  "title": "string",
  "type": "string",
  "file": null
}
```

**Responses**

- `200` — File updated successfully
- `401` — Unauthorized access
- `404` — File not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "attributes": [
      {
        "created_at": "string",
        "description": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "template_key": "string",
        "template_name": "string",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "values": {
          "property1": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          },
          "property2": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          }
        }
      }
    ],
    "created_at": "string",
    "folder_id": "string",
    "id": "string",
    "public": true,
    "title": "string",
    "translations": {
      "title": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "type": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "type": "string",
    "updated_at": "string",
    "url": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
